Bug 862395 - [abrt] SdrObjList::RecalcRects (memory corruption?)
[abrt] SdrObjList::RecalcRects (memory corruption?)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:ac38d960d2d584451d18a2c2981...
:
: 866465 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 15:04 EDT by Stefan Marinov
Modified: 2012-11-03 16:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-03 16:45:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (4.30 KB, text/plain)
2012-10-02 15:04 EDT, Stefan Marinov
no flags Details
File: environ (1.87 KB, text/plain)
2012-10-02 15:04 EDT, Stefan Marinov
no flags Details
File: event_log (1.68 KB, text/plain)
2012-10-02 15:04 EDT, Stefan Marinov
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-02 15:04 EDT, Stefan Marinov
no flags Details
File: backtrace (82.48 KB, text/plain)
2012-10-02 15:04 EDT, Stefan Marinov
no flags Details
File: cgroup (129 bytes, text/plain)
2012-10-02 15:04 EDT, Stefan Marinov
no flags Details
File: maps (98.92 KB, text/plain)
2012-10-02 15:04 EDT, Stefan Marinov
no flags Details
File: dso_list (22.88 KB, text/plain)
2012-10-02 15:04 EDT, Stefan Marinov
no flags Details
File: var_log_messages (662 bytes, text/plain)
2012-10-02 15:04 EDT, Stefan Marinov
no flags Details
File: open_fds (481 bytes, text/plain)
2012-10-02 15:04 EDT, Stefan Marinov
no flags Details

  None (edit)
Description Stefan Marinov 2012-10-02 15:04:02 EDT
Version-Release number of selected component:
libreoffice-core-3.5.6.2-4.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress file:///home/stefan/Documents/uni/Weiterbildung/talKIT/Energie_Cluster.odp --splash-pipe=6
crash_function: main_arena
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 main_arena at /lib64/libc.so.6
: #1 SdrObjList::RecalcRects at /usr/src/debug/libreoffice-3.5.6.2/svx/source/svdraw/svdpage.cxx:323
: #2 SdrObjList::GetAllObjBoundRect at /usr/src/debug/libreoffice-3.5.6.2/svx/source/svdraw/svdpage.cxx:663
: #3 InvalidateAllWin at /usr/src/debug/libreoffice-3.5.6.2/svx/source/svdraw/svdpagv.cxx:293
: #4 SdrPageView::InvalidateAllWin at /usr/src/debug/libreoffice-3.5.6.2/svx/source/svdraw/svdpagv.cxx:288
: #5 SdrPageView::Show at /usr/src/debug/libreoffice-3.5.6.2/svx/source/svdraw/svdpagv.cxx:263
: #6 SdrPaintView::ShowSdrPage at /usr/src/debug/libreoffice-3.5.6.2/svx/source/svdraw/svdpntv.cxx:453
: #7 FmFormView::ShowSdrPage at /usr/src/debug/libreoffice-3.5.6.2/svx/source/form/fmview.cxx:336
: #8 sd::PreviewRenderer::Initialize at /usr/src/debug/libreoffice-3.5.6.2/sd/source/ui/tools/PreviewRenderer.cxx:278
: #9 sd::PreviewRenderer::RenderPage at /usr/src/debug/libreoffice-3.5.6.2/sd/source/ui/tools/PreviewRenderer.cxx:153
Comment 1 Stefan Marinov 2012-10-02 15:04:05 EDT
Created attachment 620435 [details]
File: core_backtrace
Comment 2 Stefan Marinov 2012-10-02 15:04:07 EDT
Created attachment 620436 [details]
File: environ
Comment 3 Stefan Marinov 2012-10-02 15:04:09 EDT
Created attachment 620437 [details]
File: event_log
Comment 4 Stefan Marinov 2012-10-02 15:04:11 EDT
Created attachment 620438 [details]
File: limits
Comment 5 Stefan Marinov 2012-10-02 15:04:13 EDT
Created attachment 620439 [details]
File: backtrace
Comment 6 Stefan Marinov 2012-10-02 15:04:15 EDT
Created attachment 620440 [details]
File: cgroup
Comment 7 Stefan Marinov 2012-10-02 15:04:18 EDT
Created attachment 620441 [details]
File: maps
Comment 8 Stefan Marinov 2012-10-02 15:04:21 EDT
Created attachment 620442 [details]
File: dso_list
Comment 9 Stefan Marinov 2012-10-02 15:04:23 EDT
Created attachment 620443 [details]
File: var_log_messages
Comment 10 Stefan Marinov 2012-10-02 15:04:25 EDT
Created attachment 620445 [details]
File: open_fds
Comment 11 Michael Stahl 2012-10-02 16:12:53 EDT
while apparently some master page preview is generated in impress...

crash in main_arena () from /lib64/libc.so.6

sounds like some kind of memory corruption somewhere.

is that crash reproducible, maybe with a particular document
that you could attach?
Comment 12 David Tardon 2012-10-16 07:47:11 EDT
*** Bug 866465 has been marked as a duplicate of this bug. ***
Comment 13 Caolan McNamara 2012-11-03 16:45:52 EDT
We need an example we can work with :-( If you can provide a sample document that reproduces this feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.